<?php
/**
 * Login Form
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.2.6
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

?>

<?php wc_print_notices(); ?>

<?php do_action( 'woocommerce_before_customer_login_form' ); ?>

<?php if ( get_option( 'woocommerce_enable_myaccount_registration' ) === 'yes' ) : ?>

<div class="col2-set" id="customer_login">

	<div class="col-1">

<?php endif; ?>


		<form method="post" class="login">
				
			<div class="userLogin text-center">
				<span class="fa-stack fa-lg">
				  <i class="fa fa-circle fa-stack-2x"></i>
				  <i class="fa fa-user fa-stack-1x fa-inverse"></i>
				</span>

				<h3 class="loginText"><?php echo __('Already a member?', 'coeur'); ?></h3>
				<p style="text-align: center !important;"><?php echo __('Sign into your account', 'coeur'); ?></p>
			</div>

			

			<?php do_action( 'woocommerce_login_form_start' ); ?>

			<div class="form-group">
				<input placeholder="<?php _e( 'Username or email address', 'coeur' ); ?>" type="text" class="form-control" name="username" id="username" value="<?php if ( ! empty( $_POST['username'] ) ) echo esc_attr( $_POST['username'] ); ?>" />
			</div>
				
			<div class="form-group">
				<input placeholder="<?php _e( 'Password', 'coeur' ); ?>" class="form-control" type="password" name="password" id="password" />
			</div>

			<?php do_action( 'woocommerce_login_form' ); ?>

			<p class="form-row rememberMe">
				<?php wp_nonce_field( 'woocommerce-login' ); ?>
				<label for="rememberme" class="inline">
					<input name="rememberme" type="checkbox" id="rememberme" value="forever" /> <?php _e( 'Remember me', 'coeur' ); ?>
				</label>
				<input type="submit" class="button" name="login" value="<?php esc_attr_e( 'Sign In', 'coeur' ); ?>" />
			</p>
			<p class="lost_password">
				<a href="<?php echo esc_url( wp_lostpassword_url() ); ?>"><?php _e( 'Lost your password?', 'coeur' ); ?></a>
			</p>

			<?php do_action( 'woocommerce_login_form_end' ); ?>

		</form>

<?php if ( get_option( 'woocommerce_enable_myaccount_registration' ) === 'yes' ) : ?>

	</div>

	<div class="col-2">

		<form method="post" class="register">

			<div class="userLogin text-center">
			<span class="fa-stack fa-lg">
			  <i class="fa fa-circle fa-stack-2x"></i>
			  <i class="fa fa-user fa-stack-1x fa-inverse"></i>
			</span>

			<h3 class="loginText"><?php echo __('Create an account', 'coeur'); ?></h3>
			<p style="text-align: center !important;"><?php echo __('Sign into your account', 'coeur'); ?></p>
		</div>

			<?php do_action( 'woocommerce_register_form_start' ); ?>

			<?php if ( 'no' === get_option( 'woocommerce_registration_generate_username' ) ) : ?>

				<p class="form-row form-row-wide">
					<label for="reg_username"><?php _e( 'Username', 'coeur' ); ?> <span class="required">*</span></label>
					<input type="text" class="form-control" name="username" id="reg_username" value="<?php if ( ! empty( $_POST['username'] ) ) echo esc_attr( $_POST['username'] ); ?>" />
				</p>

			<?php endif; ?>

			<div class="form-group">
				<input placeholder="<?php _e( 'Email address', 'coeur' ); ?>" type="email" class="form-control" name="email" id="reg_email" value="<?php if ( ! empty( $_POST['email'] ) ) echo esc_attr( $_POST['email'] ); ?>" />
			</div>

			<?php if ( 'no' === get_option( 'woocommerce_registration_generate_password' ) ) : ?>

			<div class="row">
				<div class="col-sm-6">
					<div class="form-group">
						<input placeholder="<?php _e( 'Password', 'coeur' ); ?>" type="password" class="form-control" name="password" id="reg_password" />
					</div>
				</div>
				<div class="col-sm-6">
					<div class="form-group">
						<input placeholder="<?php _e( 'Password Repeat', 'coeur' ); ?>" type="password" class="form-control" name="password2" id="reg_password2" value="<?php if ( ! empty( $_POST['password2'] ) ) echo esc_attr( $_POST['password2'] ); ?>" />
					</div>
				</div>
			</div>

			<?php endif; ?>

			<!-- Spam Trap -->
			<div style="<?php echo ( ( is_rtl() ) ? 'right' : 'left' ); ?>: -999em; position: absolute;"><label for="trap"><?php _e( 'Anti-spam', 'coeur' ); ?></label><input type="text" name="email_2" id="trap" tabindex="-1" /></div>

			<?php do_action( 'woocommerce_register_form' ); ?>
			<?php do_action( 'register_form' ); ?>

			<p class="form-row registerBtn">
				<?php wp_nonce_field( 'woocommerce-register' ); ?>
				<input type="submit" class="button" name="register" value="<?php esc_attr_e( 'Register', 'coeur' ); ?>" />
			</p>

			<?php do_action( 'woocommerce_register_form_end' ); ?>

		</form>

	</div>

</div>
<?php endif; ?>

<?php do_action( 'woocommerce_after_customer_login_form' ); ?>
