<?php
/**
 * My Account page
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

wc_print_notices(); ?>

<?php do_action( 'woocommerce_before_my_account' ); ?>

<div class="accountTabs">

  <!-- Nav tabs -->
  <ul class="nav nav-tabs" role="tablist">
    <li role="presentation" class="active"><a href="#home" aria-controls="home" role="tab" data-toggle="tab">Details</a></li>
    <?php if ( $downloads = WC()->customer->get_downloadable_products() ) : ?>
    	<li role="presentation"><a href="#profile" aria-controls="profile" role="tab" data-toggle="tab">Downloads</a></li>
    <?php endif ;?>
    <li role="presentation"><a href="#messages" aria-controls="messages" role="tab" data-toggle="tab">Orders</a></li>
    <li role="presentation"><a href="#settings" aria-controls="settings" role="tab" data-toggle="tab">Shipping</a></li>
  </ul>

  <!-- Tab panes -->
  <div class="tab-content">
    <div role="tabpanel" class="tab-pane active" id="home">
    <?php if ( coeur_get_firstname() != '' ) {
    	echo '<h3>';
    	echo 'Welcome, ' . $current_user->user_firstname . '!';
    	echo '</h3>';

    	echo '<p>';
    	printf( __( 'From your account dashboard you can view your recent orders, manage your shipping and billing addresses and <a href="%s">edit your password and account details</a>.', 'coeur' ),
			wc_customer_edit_account_url()
		);
		echo '</p>';
	} else {
		echo '<h3>';
		printf(
			__( 'Welcome, %1$s!', 'coeur' ),
			$current_user->display_name
		);
		echo '</h3>';
		echo '<p>';
		printf( __( 'From your account dashboard you can view your recent orders, manage your shipping and billing addresses and <a href="%s">edit your password and account details</a>.', 'coeur' ),
			wc_customer_edit_account_url()
		);
		echo '</p>';
	}
	?>
	</div>
    <?php if ( $downloads = WC()->customer->get_downloadable_products() ) : ?>
    	<div role="tabpanel" class="tab-pane" id="profile"><?php wc_get_template( 'myaccount/my-downloads.php' ); ?></div>
    <?php endif ;?>
    <div role="tabpanel" class="tab-pane" id="messages"><?php wc_get_template( 'myaccount/my-orders.php', array( 'order_count' => $order_count ) ); ?></div>
    <div role="tabpanel" class="tab-pane" id="settings"><?php wc_get_template( 'myaccount/my-address.php' ); ?></div>
  </div>

</div>

<?php do_action( 'woocommerce_after_my_account' ); ?>